Subject: [PATCH] userspace API definitions for auto-focus coil

From: [email-masked] (Pavel Machek)
Date: Wed, 13 Jul 2016 08:57:00 +0200

On Tue 2016-07-12 20:32:01, Mauro Carvalho Chehab wrote:
1;2802;0c> Em Sat, 18 Jun 2016 17:38:46 +0200
> Pavel Machek <[email-masked]> escreveu:
> 
> > Hi!
> > 
> > > > Not V4L2_CID_USER_AD5820...?  
> > > 
> > > The rest of the controls have no USER as part of the macro name, so I
> > > wouldn't use it here either.  
> > 
> > Ok.
> > 
> > > > Ok, separate header file for 2 lines seemed like a bit of overkill,
> > > > but why not.  
> > > 
> > > That follows an existing pattern of how controls have been implemented in
> > > other drivers.  
> > 
> > Ok.
> > 
> > > Could you merge this with the driver patch? I've dropped that from my ad5820
> > > branch as it does not compile.  
> > 
> > Yes, merged patch should be in your inbox now.
> 
> The V4L2 core changes should be on a separate patch. Btw, you'll also
> need to patch documentation to reflect such changes. We're right now
> moving from DocBook to ReST markup language. The patches for it are
> right now on a separate topic branch (docs-next), to be merged for
> Kernel 4.8 on the next merge window.
> 
> You should either base the patch on such branch or wait for it to be
> merged back mainstream to write such documentation additions.

So how many iterations and how many releases does it take to get
trivial driver into the tree?

I did what Sakari asked me to do. The driver is trivial. You can see
pretty easily what I'm changing in the core... and it is not much. Can
you just add your acked-by to it, merge it and me done with it?

If some more docs is required, I can do the docs, but stalling patch
for months and then claiming "hey, we have these new rules you have to
follow" is not a nice thing.

Thanks,

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html